mzid: harbor.dcomptb.io
stages:

# delete interfaces
- actions:

    - kind: plumbing
      mzid: harbor.dcomptb.io
      action: destroy-enclave


# delete container tasks
- actions:

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete-task
      data:
        namespace: harbor.dcomptb.io
        name: nex

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete-task
      data:
        namespace: harbor.dcomptb.io
        name: ipxe

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete-task
      data:
        namespace: harbor.dcomptb.io
        name: sledb

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete-task
      data:
        namespace: harbor.dcomptb.io
        name: foundry

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete-task
      data:
        namespace: harbor.dcomptb.io
        name: etcd

# delete containers
- actions:

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete
      data:
        namespace: harbor.dcomptb.io
        name: nex

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete
      data:
        namespace: harbor.dcomptb.io
        name: ipxe

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete
      data:
        namespace: harbor.dcomptb.io
        name: sledb

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete
      data:
        namespace: harbor.dcomptb.io
        name: foundry

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete
      data:
        namespace: harbor.dcomptb.io
        name: etcd

# delete records
- actions:

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete-record
      data:
        namespace: harbor.dcomptb.io
        name: ipxe

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete-record
      data:
        namespace: harbor.dcomptb.io
        name: sledb

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete-record
      data:
        namespace: harbor.dcomptb.io
        name: foundry

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete-record
      data:
        namespace: harbor.dcomptb.io
        name: nex

    - kind: container
      mzid: harbor.dcomptb.io
      action: delete-record
      data:
        namespace: harbor.dcomptb.io
        name: etcd
